Bug 493424 - remove unneeded modules for admin server apache config
remove unneeded modules for admin server apache config
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.1.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 434915 389_1.3.0
  Show dependency treegraph
 
Reported: 2009-04-01 13:30 EDT by Jakub Hrozek
Modified: 2015-12-07 11:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:39:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installation log (9.94 KB, application/octet-stream)
2009-04-01 13:30 EDT, Jakub Hrozek
no flags Details
patch (706 bytes, patch)
2009-04-09 12:10 EDT, Nathan Kinder
no flags Details | Diff
Patch (1.85 KB, patch)
2011-02-22 18:40 EST, Nathan Kinder
nhosoi: review+
Details | Diff

  None (edit)
Description Jakub Hrozek 2009-04-01 13:30:00 EDT
Created attachment 337592 [details]
installation log

Description of problem:
On F11-beta machine, the dirsrv-admin script looks for wrong files:
# setup-ds-admin.pl --debug
<snip>
[09/04/01:19:25:31] - [Setup] Info Updating the configuration for the httpd engine . . .
[09/04/01:19:25:31] - [Setup] Info Starting admin server . . .
[09/04/01:19:25:31] - [Setup] Info output: httpd.worker: Syntax error on line 142 of /etc/dirsrv/admin-serv/httpd.conf: Cannot load /usr/lib64/httpd/modules/
mod_file_cache.so into server: /usr/lib64/httpd/modules/mod_file_cache.so: cannot open shared object file: No such file or directory
[09/04/01:19:25:31] - [Setup] Fatal Failed to create and configure the admin server
[09/04/01:19:25:31] - [Setup] Fatal Exiting . . .

I couldn't find the mod_file_cache.so file in any Fedora package:
# yum provides \*mod_file_cache.so
Loaded plugins: refresh-packagekit
No Matches found
#

Version-Release number of selected component (if applicable):
fedora-ds-admin-1.1.6-3.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. install fedora-ds* packages on rawhide 
2. setup-ds-admin.pl (pretty much defaults)
3. 
  
Actual results:
error

Expected results:
no error

Additional info:
Full log file is attached
Comment 1 Nathan Kinder 2009-04-02 14:06:58 EDT
It appears that both mod_file_cache.so and mod_mem_cache.so are no longer a part of the httpd package as they were in F10 and earlier.  I don't believe that we use these modules, so it may be safe to remove them from our httpd config file template.
Comment 2 Nathan Kinder 2009-04-02 14:12:19 EDT
There is actually a bug open on these libraries no longer being provided with httpd (bug #493458).

The changelog for the httpd rpm on F11 shows that we explicitly are not building mod_mem_cache or mod_file_cache as of httpd-2.2.11-8, but I'm not sure why this change was made.
Comment 3 Rich Megginson 2009-04-09 10:47:42 EDT
Do you have the patches to remove those modules from httpd.conf?  If so, I can get them into f11.
Comment 4 Nathan Kinder 2009-04-09 12:10:02 EDT
Created attachment 338936 [details]
patch
Comment 5 Rich Megginson 2009-04-09 12:40:39 EDT
Built.  Please try the build and let me know if it works for you.

Package: fedora-ds-admin-1.1.7-4.fc11
Tag: dist-f11
Status: complete
Built by: rmeggins
ID: 97203
Started: Thu, 09 Apr 2009 16:32:22 UTC
Finished: Thu, 09 Apr 2009 16:35:57 UTC
Changelog:
* Thu Apr 09 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.7-4
- Resolves: bug 493424
- Description: dirsrv-admin initscript looks for nonexistent library
- Added patch to remove those modules from the httpd.conf


I'm going to leave this bug open - we should at least remove these modules from the default admin server module list in the next release, and probably revisit the way we generate the httpd.conf.
Comment 6 Jakub Hrozek 2009-04-15 10:23:37 EDT
(In reply to comment #5)
> Built.  Please try the build and let me know if it works for you.
> 

Sorry for the late reply. I can confirm that this version fixed the problem for me.

Thanks for the quick turnaround!
Comment 7 Rich Megginson 2009-04-15 10:29:58 EDT
The real problem here is that the admin server has many unneeded modules in its config.  We need to remove all unneeded modules.
Comment 8 borisbar7 2009-08-07 07:26:26 EDT
I use this modules.
It's useful modules, please add to next build.

one more bug:
https://bugzilla.redhat.com/show_bug.cgi?id=505048

Thanks
Comment 9 Charlweed Hymerfan 2009-10-09 12:40:59 EDT
This bug is still preventing installs of 389 server on F11.
The patch above can still be applied while work on eliminating unused modules continues.
Comment 11 Nathan Kinder 2011-02-22 18:40:51 EST
Created attachment 480295 [details]
Patch
Comment 12 Nathan Kinder 2011-02-22 19:18:06 EST
Pushed to master.  Thanks to Noriko for her review!

Counting objects: 9, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 529 bytes, done.
Total 5 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   f5a1e66..8f350bf  master -> master
Comment 15 Amita Sharma 2011-06-17 10:41:37 EDT
yes, Admin Server & console works fine on RHEL6.

Note You need to log in before you can comment on or make changes to this bug.